CONTRIBUTING
============

If you have any kind of feedback, simply create an issue on Github. This makes
it easier for everyone to track and comment recent developments.

If you want to contribute, please keep a few simple rules in mind:

#### The commit

- One commit per fix/addition.
- The short commit message shouldn't be longer than 50 characters.
- The short commit message must start with an uppercase character.
- The short commit message must start with the affected section or file followed
  by a colon.
- The short commit message must use the
  [imperative](https://en.wikipedia.org/wiki/Imperative_mood).
- The short commit message mustn't end with a `.`.
- The short commit message can be simply "Grammar" or "Typo", if the patch
  fixes, well, grammar or typos.
- It's always a good idea to have a look at other commits to get an idea how to
  format one's own commits messages.

#### Example

```
Bad:  "added my new plugin"
Good: "Plugins: add vim-newplugin"
```
